Help on Arch Axis sistem

Post here for help on using FreeCAD's graphical user interface (GUI).
Forum rules
and Helpful information
IMPORTANT: Please click here and read this first, before asking for help

Also, be nice to others! Read the FreeCAD code of conduct!
User avatar
Anam
Posts: 39
Joined: Mon Mar 20, 2017 10:22 am
Location: Teramo, Italy

Help on Arch Axis sistem

Postby Anam » Sun Sep 03, 2017 4:21 pm

Hello everyone I have this question for you:
  • Axis Placement preview show me wrong preview only with the Axis object. For example
    App.getDocument("Tutorial1").Axes.Placement=App.Placement(App.Vector(0,0,0), App.Rotation(App.Vector(0,0,1),45), App.Vector(0,0,0))
    I expected that the axis will be rotate with 45 degree but the axis is rotated with 90 degree, I don't get how its work
  • How I can get a snap on the intersection of two lines
  • Can be the grid "magnetic"? If I put a column in a line axis and I move the grid the column follow che grid line
OS: Ubuntu 17.04
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6707 (Git)
Build type: None
Branch: releases/FreeCAD-0-16
Hash: 5465bc47c95db45e0be85dc0e2872419efadce0f
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
User avatar
hhassey
Posts: 133
Joined: Thu Jun 04, 2015 8:01 pm
Location: Ensenada, Mexico

Re: Help on Arch Axis sistem

Postby hhassey » Sun Sep 03, 2017 6:29 pm

  • How I can get a snap on the intersection of two lines
I am here waiting for the answer as well... I can only snap to the endpoints of those axis lines.